addftinfo(1)

Nom
addftinfo – Ajout de métriques de fonte aux fontes de troff pour une utilisation avec groff

Synopsis
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] résolution largeur_unité fichier_fonte
addftinfo --help
addftinfo -v
addftinfo --version

Description
addftinfo lit un fichier de description de fonte troff d’AT&T, fichier_fonte, ajoute des informations de métrique de fonte nécessaires pour GNU troff(1) et écrit le résultat combiné sur la sortie standard. Les informations ajoutées sont déduites de paramètres de fonte existants et des suppositions sur les noms troff traditionnels pour les caractères. Parmi les métriques de fonte sont ajoutées les hauteurs et profondeurs des caractères (comment ceux-ci s’étendent verticalement au-dessus et en dessous de la ligne de pied. Les arguments résolution et largeur_unité doivent être les mêmes que les caractères correspondants du fichier DESC. fichier_fonte est le nom du fichier décrivant la fonte ; si fichier_fonte se termine par « I », la fonte est considérée oblique (ou italique).

Options
L’option --help affiche un message d’utilisation, tandis que les options -v et --version affichent une information de version ; après quoi le programme se termine.

Toutes les autres options modifient les paramètres qui sont utilisés pour obtenir les hauteurs et profondeurs. Comme les grandeurs existantes dans le fichier de description de fonte, chaque valeur n est en points_pondérés, pouces/résolution pour une fonte dont la taille de fonte est largeur_unité ; consulter groff_font(5).

-asc-height n
    hauteur des caractères avec jambage supérieur tels que « b », « d » ou « l »

-body-depth n
    profondeur des caractères tels que les parenthèses

-body-height n
    hauteur des caractères tels que les parenthèses

-cap-height n
    hauteur des lettres capitales telles que « A ».

-comma-depth n
    profondeur de la virgule

-desc-depth n
    profondeur des caractères avec jambage inférieur tels que « p », « q », ou « y »

-fig-height
    hauteur des chiffres (nombres)

-x-height n
    hauteur des lettres minuscules sans jambage supérieur telles que « x »

addftinfo n’essaie pas d’utiliser les paramètres indiqués pour en déduire les paramètres non précisés. Si un paramètre n’est pas précisé, sa valeur par défaut sera utilisée. Les valeurs par défaut sont choisies pour produire des valeurs satisfaisantes pour une fonte Times.

Voir aussi
groff_font(5), groff(1), groff_char(7)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.